Node('dil4_test.psi.ch',
     'dil4 test',
     'tcp://5000',
     )

Mod('io',
    'frappy_psi.oiclassic.IGH_IO',
    '',
    uri='dil4-ts:3005',
    )

Mod('p',
    'frappy_psi.oiclassic.Pressure',
    'pressure',
    io='io',
    addr='G2',
    )

Mod('P_mix',
    'frappy_psi.oiclassic.MixPower',
    'mix power',
    io='io',
    )

Mod('P_sorb',
    'frappy_psi.oiclassic.SorbPower',
    'sorb power',
    io='io',
    )

Mod('P_still',
    'frappy_psi.oiclassic.StillPower',
    'still power',
    io='io',
    )

Mod('mot_fast',
    'frappy_psi.oiclassic.MotorValve',
    'fast motor valve',
    io='io',
    )

Mod('mot_slow',
    'frappy_psi.oiclassic.SlowMotorValve',
    'slow motor valve',
    io='io',
    )

Mod('valve',
    'frappy_psi.oiclassic.Valve',
    'solenoid valve',
    io='io',
    addr='V2',
    )

Mod('valve_pulsed',
    'frappy_psi.oiclassic.PulsedValve',
    'pulsed valve',
    io='io',
    addr='V2',
    )

Mod('upperLN2',
    'frappy_psi.oiclassic.N2Sensor',
    'upper LN2',
    )

Mod('lowerLN2',
    'frappy_psi.oiclassic.N2Sensor',
    'lower LN2',
    )

Mod('pump',
    'frappy_psi.oiclassic.Pump',
    'pump feedback',
    io='io',
    addr='rotary_pump_He3',
    upper_LN2='upperLN2',
    lower_LN2='lowerLN2',
    )

Mod('io_flow',
    'frappy_psi.bronkhorst.IO',
    '',
    uri='dil4-ts:3002',
    )

Mod('flow',
    'frappy_psi.bronkhorst.Sensor',
    'flow',
    io='io_flow',
    value=Param(unit='ln/min'),
    )

Mod('fun',
    'frappy_psi.softcal.Function',
    'modified flow',
    rawsensor='flow',
    formula='x',
    )